﻿@model GarageMaster.Models.AccountModels.UserDetailsModel

@{
    ViewData["Title"] = "ProfileUser";
}

<h1>ProfileUser</h1>

<div class="container">
    <div class="row">
        <div class="col-sm-6">
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.Email)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Email)
            </dd>
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.Surname)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Surname)
            </dd>
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.Name)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Name)
            </dd>
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.NickName)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.NickName)
            </dd>
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.MobilePhone)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.MobilePhone)
            </dd>
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.CreatedOn)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.CreatedOn)
            </dd>
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.IsActive)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.IsActive)
            </dd>
            <dt class="col-sm-5">
                @Html.DisplayNameFor(model => model.Roles)
            </dt>
            @if (Model.Roles.Any())
            {
                <dd class="col-sm-10">
                    @foreach (var role in Model.Roles)
                    {
                        <div>@Html.DisplayName(role)</div>
                    }
                </dd>
            }
            else
            {
                <dd class="col-sm-10">
                    <h6 class="card-title">У пользователя отсутствуют роли</h6>
                </dd>

            }
        </div>
        <div class="col-sm-6">
            <img class="card-img-top" src="@Model.Photo" alt="avatar" />
        </div>
    </div>
</div>
<div>
    <a asp-area="Admin" asp-controller="User" asp-action="EditUserByAdmin" asp-route-id="@Model.Id">
        <input type="submit" value="Изменить профиль" class="btn btn-primary mt-3" />
    </a>
    <a asp-area="Admin" asp-controller="User" asp-action="ChangePasswordAdmin" asp-route-id="@Model.Id">
        <input type="submit" value="Изменить пароль" class="btn btn-primary mt-3" />
    </a>
    <a asp-area="Admin" asp-controller="User" asp-action="AddRolesToUser" asp-route-id="@Model.Id">
        <input type="submit" value="Добавить роль" class="btn btn-primary mt-3" />
    </a>
</div>

<div>
    <a asp-action="Users">Back to List</a>
</div>
